使用说明#

对于这个项目有些值得注意的地方,可能会导致项目出错。


依赖库支持#

我们这个库需要大量的依赖库实现更好的功能,如果运行一些方法,出现导入问题时, 请看 安装教程

关于测试版本#

tkinterDev库开发以前都没有过测试版本,但是现在决定还是做一下。在3.0.0版本之后,任何稳定版本都是3.x.x,而测试版本都是3.x.beta。 所以安装是最好选择正式稳定版本,切记不要使用beta版本

导入注意实现#

按照传统库名,导入的名字应该和tkinterDev库名一样,叫做tkinterDev导入,可是发现这个名字太长了就将它改名为tkdev。 所以我们需要按照以下代码进行导入

import tkdev

并且如果你想以from tkdev import xxx导入时,请不要使用from tkdev import *因为如果与其它库的组件名称相同的话,可能会出现无法估计的后果。

关于Python2.x为什么不支持#

对于Python2.x不支持,所在于现在最流行使用Python3.x,而Python2.x本人不会,而一些依赖库也是不支持Python2.x开发。 所以,我没那么多必要去开发对Python2.x的支持,请使用Python3.x进行开发。